#include "wifiFabAcademy.h"

//declare Wifi variables
const char* ssid = "FabAcademy";
const char* password = "fabacademy";
IPAddress moduleIP; //IP addres that module received

//server to receive request from app
WiFiServer httpServer(80);
int counter = 0;

void setup_wifi() {
  delay(10);
  // We start by connecting to a WiFi network
  Serial.println();
  Serial.print("Connecting to ");
  Serial.println(ssid);

  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }
  randomSeed(micros());

  moduleIP = WiFi.localIP();
  Serial.println("");
  Serial.println("WiFi connected");
  Serial.println("IP address: ");
  Serial.println(moduleIP);
  Serial.println("Server URL to connect: ");
  Serial.print("http://");
  Serial.print(moduleIP);
  Serial.println("/");
}

void setup_httpServer(){
  /* Initialize the server */
  /* Start the server */
  httpServer.begin();
  Serial.println("Server started...");
 
  // Print the IP address
  Serial.print("URL to connect at ESP32 Server: ");
  Serial.print("http://");
  Serial.print(WiFi.localIP());
  Serial.println("/");
}

void countPlusPlus(){
  counter++;
}

void sendAckResponse(WiFiClient client, String msg){
  client.println("HTTP/1.1 200 OK");
  client.println("Content-Type: text/html");
  client.println(""); //  do not forget this one
  client.println("<!DOCTYPE HTML>");
  client.println("<html>");

  client.print("Counter: ");
  client.println(counter);
  
  client.print("Last move: ");
  client.println(msg);

  client.println("</html>");
}
